use leptos::*;
use leptos_meta::*;

#[component]
pub fn Header() -> impl IntoView {
    view! {
        <Html
            lang="cz"
            dir="ltr"
            attributes=vec![
                ("data-theme", "theme-default".into_attribute()),
                ("class", "light-style layout-menu-fixed".into_attribute()),
                ("data-template", "vertical-menu-template-free".into_attribute()),
                ("data-assets-path", "/".into_attribute())]
        />
        <Title text="Rezervovator"/>
        <Meta charset="utf-8"/>
        <Meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0"/>

        //<!-- Fonts -->
        <Link rel="preconnect" href="https://fonts.googleapis.com" />
        <Link rel="preconnect" href="https://fonts.gstatic.com" />
        <Link
            href="https://fonts.googleapis.com/css2?family=Public+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700&display=swap"
            rel="stylesheet"
        />

        //<!-- Icons. Uncomment required icon fonts -->
        <Link rel="stylesheet" href="/vendor/fonts/boxicons.css" />

        //<!-- Core CSS -->
        <Link rel="stylesheet" href="/vendor/css/core.css" />
        <Link rel="stylesheet" href="/vendor/css/theme-default.css" />
        <Link rel="stylesheet" href="/css/demo.css" />

        //<!-- Vendors CSS -->
        <Link rel="stylesheet" href="/vendor/libs/perfect-scrollbar/perfect-scrollbar.css" />
    }
}